using System;
using Exceptionless;
using Microsoft.Xna.Framework;

namespace Sledgemapper
{
    public class Settings
    {
        public Color BackgroundColor { get; set; }
        public Color OverlayTintColor { get; set; }
        public Color GridColor { get; set; }
        public Color NoteColor { get; set; }
        public string MachineName { get; set; }
        public int TileDeleteDivider { get; set; }

        public Settings()
        {
            BackgroundColor = Color.LightGray;
            GridColor = Color.Black;
            NoteColor = Color.DarkRed;
            OverlayTintColor = new Color(24, 118, 157);
TileDeleteDivider=14;
            try
            {
                MachineName = Environment.MachineName;
            }
            catch (Exception ex)
            {
                ExceptionlessClient.Default.SubmitException(ex);
                MachineName = "n/a";
            }
        }
    }
}
